## visad
Class VisADException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              visad.VisADException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  BadFormException, BadRepositoryException, ClusterException, CollectiveBarbException, CoordinateSystemException, DisplayException, ExceptionStack, FieldException, FormulaException, GctpException, HDF5AdapterException, HdfeosException, InvalidContextException, ReferenceException, RemoteVisADException, SetException, TypeException, UnimplementedException, UnitException

public class VisADException
extends Exception

VisADException is the superclass of all exceptions defined within the VisAD package.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Constructor Summary
`VisADException()`
`VisADException(String s)`
`VisADException(String s, Throwable cause)`
`VisADException(Throwable cause)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VisADException

    public VisADException()

### VisADException

    public VisADException(String s)

### VisADException

    public VisADException(String s,
                          Throwable cause)

### VisADException

    public VisADException(Throwable cause)